:root {
  --light-bg: #F5F5F5;
  --dark-bg: #303841;
  --accent-purple: #B86DB8;
  --accent-purple-dark: #7C3D8A;
  --accent-pink: #E88ACB;
  --accent-pink-light: #F7D6EE;
}

body {
  padding-top: 86px;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

html {
  scroll-padding-top: 86px;
}


nav {
  background-color: var(--light-bg);
}

.navbar-nav {
  --bs-navbar-color: var(--dark-bg);
  --bs-navbar-active-color: var(--accent-teal)
}

.nav-link.active {
  border-bottom: 2px solid var(--dark-bg);
}

.nav-link {
  display: inline-block;
  transition: transform 1s ease;
}


.nav-item {
  font-family: "Source Code Pro", monospace;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
  letter-spacing: 0.5px;
  font-size: medium;
  color: var(--accent-purple-dark);
}

#navbarSupportedContent ul {
  gap: 50px;
}

nav .container-fluid {
  position: relative;
}

@media (min-width: 992px) {
  #navbarSupportedContent {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }

  .nav-link:hover {
    transform: scale(1.1);
    border-bottom: 2px solid var(--dark-bg);
  }

  .nav-link.active {
    transform: scale(1.1);
  }
}

.hero-image {
  background-image: url('/images/hero_bg.jpg');
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
}


#hero-icon {
  width: 115px;
  height: auto;
}

#logo-text {
  font-family: "Poppins", sans-serif;
  color: var(--accent-purple-dark);
}

#logo-text h1 {
  font-weight: 600;
}

#logo-text h3 {
  font-weight: 200;
  font-size: larger;
}

.hero-details {
  font-family: "Poppins", sans-serif;
  color: var(--accent-purple-dark);
}

.hero-details h1 {
  font-weight: 700;
  font-size: 4rem;
  color: var(--accent-purple-dark);

}

.hero-details h1 span {
  background-image: linear-gradient(to right, #b44593, #f386c1);
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

.hero-details h3 {
  font-weight: 400;
  font-size: 21px;
  color: var(--accent-purple-dark);

}

.hero-button-container {
  display: flex;
  gap: 15px;
}

.hero-button-container button {
  width: 166px;
  height: 49px;
  border-radius: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-size: large;
  transition: transform 0.3s ease;
}

.hero-button-container button:hover {
  transform: scale(1.1);
}

.purple-btn {
  background-image: linear-gradient(to top, #b44593, #f386c1);
  color: white;
  border: none;
}

.white-btn {
  border: var(--accent-purple) solid;
  border-width: 1px;
  color: var(--accent-purple-dark);
}

.hero-graphics {
  height: 100%;
}

.hero-graphics img {
  width: 79%;
  animation: backandforth 4s linear infinite;
  padding-bottom: 100px;
}

#loginPageContainer {
  background-image: linear-gradient(135deg,
      #F5F5F5 0%,
      #F7D6EE 35%,
      #E88ACB 70%,
      #B86DB8 100%);
  background-repeat: no-repeat;
  background-size: cover;
  height: calc(100vh - 86px);
}

#loginBox {
  background-color: rgb(255, 255, 255);
  height: 342px;
  border-radius: 13px;
  box-shadow: 0 0 20px 5px #6c6c6c8a;
}

#loginBox img {
  width: 150px;
  height: auto;
}

.divider {
  padding-top: 20px;
  padding-bottom: 35px;
}

.divider::before,
.divider::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid #bebebe;
}

.btn-165 {
  padding: 10px 25px;
  font-size: 14px;
  font-weight: 700;
  text-align: center;
  vertical-align: middle;
  border-radius: 0.5rem;
  border: 1px solid #bebebe;
  gap: 10px;
  color: #414141;
  background: #fff;
  font-family: Arial, Helvetica, sans-serif;
  cursor: pointer;
  text-decoration: none;
  user-select: none;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  /*** full width block ***/
  /* width: 100%; */
}

.btn-165 svg {
  height: 24px;
}

.btn-165:hover {
  border: solid 1px #464545;
}

.btn-165:active {
  margin-top: 1px;
}

/*** disabled style ***/
.btn-165:disabled {
  pointer-events: none;
  opacity: .65;
  color: #7e7e7e;
  background: #dcdcdc;
  box-shadow: none;
  text-shadow: none;
}


#userContainer {
  position: relative;
}

#userMenu {
  position: absolute;
  top: calc(100% + 11px);
  background: white;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  padding: 15px;
  border-radius: 7px;
  right: 0px;
}

.rotate-180 {
  transform: rotate(180deg);
}

.footer-brand {
  height: 36px;
  width: 36px;
  border-radius: 10px;
  object-fit: cover;
  margin-bottom: 0.5rem;
}

#footer {
  background-color: var(--light-bg);
}

#userClickableContainer {
  cursor: pointer;
}

.templates-card {
  overflow: hidden;
  aspect-ratio: 1;
  border-color: var(--accent-purple);
  border-radius: 10px;
  border-width: 2px;
  border-style: solid;
  cursor: pointer;
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
  background-size: cover;
  background-position: center;
}

.templates-card p {
  font-family: 'Poppins', sans-serif;
  color: var(--accent-purple-dark);
  font-size: larger;
  font-weight: 500;
}

.templates-card:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15) !important;
}

#createTemplate {
  position: relative;
  color: var(--accent-purple-dark);
}

#createTemplate i {
  font-size: 80px;
}

#createTemplate h3 {
  position: absolute;
  bottom: 10px;
  text-align: center;
  font-size: larger;
}

.formFieldsInput {
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
}

.formFieldsInput .header {
  height: 38px;
  /* padding-left: .75rem; */
}

.formFieldsInput .header .addBtn {
  border-left: var(--bs-border-width) solid var(--bs-border-color);
  background-color: #0000000c;
}

.formFieldsInput .header .addBtn:hover {
  background-color: #00000017;
}

.listItem {
  min-height: 38px;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
}

.listItem:last-child {
  border-bottom: none;
}

.blue-background-class {
  background-color: #C8EBFB;
}

#fieldsData {
  position: absolute;
  opacity: 0;
  height: 1px;
  pointer-events: none;
}

#fieldsOl .accordion-button:not(.collapsed) {
  background-color: transparent;
  color: inherit;
  box-shadow: none;
}

#fieldsOl .accordion-button:focus {
  box-shadow: none;
  border-color: inherit;
}

@keyframes backandforth {
  0% {
    transform: rotate(0deg);
  }

  25% {
    transform: rotate(2deg);
  }

  50% {
    transform: rotate(0deg);
  }

  75% {
    transform: rotate(-2deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

#templateSearch {
  border-radius: 110px;
  border-style: solid;
  padding: 8px;
  outline-offset: unset;
  outline-color: var(--accent-purple-dark);
}